attachInten-methods {xps} | R Documentation

## Attach/Remove Intensities

### Description

Attach/remove raw CEL intensities to/from `DataTreeSet`.

Usage

`attachInten(object, treenames = "*")`

`removeInten(object)`

### Arguments

`object` | Object of class `"DataTreeSet"`.
`treenames` | Object of class `"list"` representing the names of the `ROOT` data trees.

### Details

When CEL files will be imported using function `import.data`, the raw intensities will be stored in `ROOT` data trees. However, the intensities will not be saved in class `DataTreeSet` as slot `data`, thus avoiding memory problems. Function `attachInten` allows to fill slot `data` on demand.

`attachInten` exports intensities from data trees from `ROOT` data file and and saves as data.frame `data`. `treenames` is a vector of tree names to attach; for `treenames="*"` all trees from slot `treenames` will be exported and intensities attached as data.frame `data`.

`removeInten` removes intensities from `DataTreeSet` and replaces data.frame `data` with an empty data.frame of dim(0,0).

### Value

A `DataTreeSet` object.

### Note

Do not use `attachInten` unless you know that your computer has sufficient RAM, especially when using exon arrays. It may be advisible to use a subset of `treenames` only.

### Author(s)

Christian Stratowa

### See Also

`attachBgrd`, `removeBgrd`

### Examples

    ## load existing ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))
    dim(intensity(data.test3))

    data.test3 <- attachInten(data.test3)
    dim(intensity(data.test3))
    head(intensity(data.test3))

    data.test3 <- removeInten(data.test3)
    dim(intensity(data.test3))

[Package xps version 1.2.10 Index]